Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class RelationType

    |
    +--ru.biosoft.access.MutableDataElementSupport
      |
      +--biouml.standard.type.RelationType

public class RelationType
extends MutableDataElementSupport

Unit to specify kinetic constat, parameter or variable units.

pending refine the definition according CellML/SBML approach

Constructor Summary
`RelationType(DataCollection parent, String name)`

Method Summary
`String` | `getComment()`
`String` | `getDescription()`
`String` | `getStroke()`
`String` | `getTitle()`
`void` | `setComment(String comment)`
`void` | `setDescription(String description)`
`void` | `setStroke(String stroke)`
`void` | `setTitle(String title)`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Constructor Detail

### RelationType

    public RelationType(DataCollection parent, String name)

Method Detail

### getComment

    public String getComment()

### getDescription

    public String getDescription()

### getStroke

    public String getStroke()

### getTitle

    public String getTitle()

### setComment

    public void setComment(String comment)

### setDescription

    public void setDescription(String description)

### setStroke

    public void setStroke(String stroke)

### setTitle

    public void setTitle(String title)

Association Links

to Class java.lang.String

  Relation title, we preserve ID, but we can change the title.

to Class java.lang.String

  The object textual description. Can be text/plain or text/html.

to Class java.lang.String

  Arbitrary comment.

to Class java.lang.String

  JavaScript function to generate stroke for this relation.

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM